# SdFat: SdioConfig Class Reference

SdioConfig Class Reference

SDIO card configuration. More...

`#include <SdioCard.h>`

## Public Member Functions

uint8_t | options ()
| SdioConfig (uint8_t opt)
bool | useDma ()

## Detailed Description

SDIO card configuration.

## Constructor & Destructor Documentation

## SdioConfig()

SdioConfig::SdioConfig | ( | uint8_t | opt | ) |

inlineexplicit

SdioConfig constructor.

Parameters

  [in] | opt | SDIO options.

## Member Function Documentation

## options()

uint8_t SdioConfig::options | ( |  | ) |

inline

Returns
  SDIO card options.

## useDma()

bool SdioConfig::useDma | ( |  | ) |

inline

Returns
  true if DMA_SDIO.

The documentation for this class was generated from the following file:

- ArduinoSdFat/libraries/SdFat/src/SdCard/SdioCard.h